Bug 427640 - /dev/disk/by-path symlinks broken for iSCSI targets
/dev/disk/by-path symlinks broken for iSCSI targets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: udev (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-05 22:45 EST by Daniel Berrange
Modified: 2009-01-20 15:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:35:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix iSCSI /dev/disk/by-path links to include LUN information (760 bytes, patch)
2008-01-05 22:47 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2008-01-05 22:45:23 EST
Description of problem:
The /dev/disk/by-path symlink for iSCSI LUNs fails to include the lun number, so
all iSCSI luns from a particular target end up with the same clashing symlink.

Version-Release number of selected component (if applicable):
udev-095-14.9.el5

How reproducible:
Always

Steps to Reproduce:
1. Login to an iSCSI target which has multiple luns
2. Examine /dev/disk/by-path
3.
  
Actual results:
Only a single link per target

# ls /dev/disk/by-path/
ip-192.168.122.170:3260-iscsi-demo-tgt-a
ip-192.168.122.170:3260-iscsi-demo-tgt-b

Expected results:
One link per LUN:

# ls /dev/disk/by-path/ip*
/dev/disk/by-path/ip-192.168.122.170:3260-iscsi-demo-tgt-a-lun-1
/dev/disk/by-path/ip-192.168.122.170:3260-iscsi-demo-tgt-a-lun-2
/dev/disk/by-path/ip-192.168.122.170:3260-iscsi-demo-tgt-a-lun-3
/dev/disk/by-path/ip-192.168.122.170:3260-iscsi-demo-tgt-a-lun-4
/dev/disk/by-path/ip-192.168.122.170:3260-iscsi-demo-tgt-a-lun-5
/dev/disk/by-path/ip-192.168.122.170:3260-iscsi-demo-tgt-b-lun-1
/dev/disk/by-path/ip-192.168.122.170:3260-iscsi-demo-tgt-b-lun-2


Additional info:
Works correctly on Fedora 8...
Comment 1 Daniel Berrange 2008-01-05 22:47:47 EST
Created attachment 290899 [details]
Fix iSCSI /dev/disk/by-path links to include LUN information

This patch is basically a diff of the /lib/udev/path_id between RHEL-5 and F-8
for the iSCSI bits. With this patch applied RHEL-5 operates correctly for iSCSI
LUNS
Comment 2 RHEL Product and Program Management 2008-06-02 16:25:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Phil Knirsch 2008-06-13 09:21:38 EDT
Granting Devel ACK.

Read ya, Phil
Comment 8 errata-xmlrpc 2009-01-20 15:35:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0076.html

Note You need to log in before you can comment on or make changes to this bug.